Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List payouts for your business. Swaps are not included — use List Swaps.
id
GET /v1/payout-api/payouts?page=1&limit=20 HTTP/1.1 Host: gateway.staging.useyala.com x-api-key: <YOUR_API_KEY>
page
1
limit
20
100
{ "data": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "payoutRef": "PAY-2024-001", "status": "PENDING", "method": "SWIFT", "sourceAmount": 10000, "sourceCurrency": "NGN", "destinationAmount": 6.5, "destinationCurrency": "USD", "exchangeRate": 1538, "transactionFees": 0, "createdAt": "2024-01-20T10:00:00.000Z" } ], "meta": { "total": 1, "page": 1, "limit": 20, "size": 1 } }
async function listPayouts() { const url = new URL('https://gateway.staging.useyala.com/v1/payout-api/payouts'); url.searchParams.set('page', '1'); url.searchParams.set('limit', '20'); const response = await fetch(url, { headers: { 'x-api-key': apiKey } }); return response.json(); } const { data, meta } = await listPayouts();